Subject: Guestgroup with wu-ftpd 2.4[5] on AIX.

From: [email-masked] (Patrick Buseine)
Date: Mon, 7 Apr 97 12:26:24 +0100

Hello,

I'm trying to use the "guestgroup" feature of wu-ftpd on AIX 4.1.4.1
I've downloaded a precompiled version of wu-ftpd (2.4[5]) from 
www.bull.de/pub/ since I don't have the IBM compiler and cannot compile 
the latest version by myself.

Here is my configuration :

/etc/passwd :
-------------
user1:!:300:300::/ftp/user1/./user1:

/etc/group :
------------
customer:!:300:user1

/usr/local/etc/ftpaccess :
--------------------------
class   all   real,guest,anonymous  *

guestgroup customer

# how to check password? Use "enforce" instead of warn to refuse access
passwd-check rfc822 warn

# command logging goes to syslog,
# transfer logging goes to /var/adm/ftpd/xferlog (use xferstats to 
display)
log commands real,guest,anonymous
log transfers anonymous,real,guest inbound,outbound

In the /ftp/user1 directory :
-----------------------------
d--x--s--x   2 root     system       512 Apr  4 16:58 bin
drwxr-sr-x   2 root     system       512 Apr  7 11:57 etc
drwxr-sr-x   2 user1    customer     512 Apr  4 17:02 user1
d--x--s--x   2 root     system       512 Apr  4 16:59 lib
./bin:
total 40
---x--x--x   1 root     system     17570 Apr  4 16:58 ls

./etc:
total 16
-r--r--r--   1 root     system       296 Apr  7 11:57 group
-r--r--r--   1 root     system       457 Apr  7 11:57 passwd

./user1:
total 168
-rwxr-xr-x   1 user1    customer   26165 Apr  4 17:02 enterprise.jpg
-rwxr-xr-x   1 user1    customer    2616 Apr  4 17:02 index.html
-rwxr-xr-x   1 user1    customer     882 Apr  4 17:02 samples.html
-rwxr-xr-x   1 user1    customer   45200 Apr  4 17:02 title.gif

./lib:
total 4136
---x--x--x   1 root     system   1611818 Apr  4 16:59 libc.a
---x--x--x   1 root     system    502367 Apr  4 16:59 libcurses.a

If I run ckconfig, everything seems to be okay.

Here is the problem :
---------------------

# ftp beethoven.rever.fr
Connected to beethoven.rever.fr.
220 beethoven FTP server (Version wu-2.4(5) Mon Aug 5 23:49:36 DFT 1996) 
ready.
Name (beethoven.rever.fr:root): user1
331 Password required for user1.
Password:
230 User user1 logged in.  Access restrictions apply.
ftp> dir
421 Service not available, remote server has closed connection
^^^^^^^^^^^^^^^^^^^^^^^^^^

My questions :
--------------
Why do I get this error message ? 
Where can I download the latest version of wu-ftpd precompiled for AIX ?
Is it possible to compile the program with gnu gcc ?

Thanks,

Patrick Buseine
[email-masked]